#ifndef DATA_HPP
#define DATA_HPP

#include <sstream>  

static const int hauteurStd = 720;
static const int largeurStd = 576;
static const int nbCanaux = 3;
static const int tailleData = hauteurStd * largeurStd * nbCanaux;

     
struct data
{
	/**
	 * Tableau contenant les donnees image.
	 */
	uint8_t data[tailleData];
	int width;
	int height;

	/**
	 * Numero de l'image.
	 */
	int numImage;


	/**
	 * Nombre de canaux.
	 */
	int nbCanaux;
};

static std::string genereNomSHM(int idSHM)
{
	std::ostringstream oss;
	oss << "camera" << idSHM;
	return oss.str();
}

#endif /* DATA_HPP */